.navigation {
    background-color: $dark-900;
    display: flex;
    flex-direction: column;
    color: #ffffff;
    transition: all 200ms ease 0ms;
    // super square size
    min-width: $navigation-narrow-width;
    max-width: $navigation-narrow-width;
    overflow: hidden;

    .navigation-state {
        @include padding(3, 3);
        text-align: right;
        cursor: pointer;
        position: fixed;
        bottom: 0;
        min-width: inherit;

        &:hover,
        &:active,
        &.active {
            background-color: $dark-800;
        }
    }

    &.expanded {
        min-width: $navigation-wide-width;
    }
}

.layout {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    width: calc(100% - #{$navigation-narrow-width});

    &.expanded {
        width: calc(100% - #{$navigation-wide-width});
    }

    .outlet {
        flex-grow: 1;
        @include margin(4, 6)
    }
}

